

:_getopt_internal
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &optarg
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_4_break
	mov____$i32,%eax %0x1
	mov____%eax,0x32 &optind
	mov____%eax,0x32 &last_nonopt
	mov____%eax,0x32 &first_nonopt
	test___%eax,%eax
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	jmp32  %__getopt_internal_4_break
:__getopt_internal_4_break
	mov____0x32,%eax &nextchar
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_20_break_b_20
	jmp32  %__getopt_internal_20_break_skip_b_20
:__getopt_internal_20_break_b_20
	mov____0x32,%eax &nextchar
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_20_break
:__getopt_internal_20_break_skip_b_20
	mov____0x32,%eax &optind
	mov____0x8(%ebp),%ebx !0x8
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_37_break
	mov____0x32,%eax &first_nonopt
	mov____0x32,%ebx &last_nonopt
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_43_break
	mov____0x32,%eax &first_nonopt
	mov____%eax,0x32 &optind
	test___%eax,%eax
	jmp32  %__getopt_internal_43_break
:__getopt_internal_43_break
	mov____$i32,%eax %0x-1
	leave
	ret
	jmp32  %__getopt_internal_37_break
:__getopt_internal_37_break
	mov____$i32,%eax %0x0
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_60_break_b_60
	jmp32  %__getopt_internal_60_break_skip_b_60
:__getopt_internal_60_break_b_60
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_60_break
:__getopt_internal_60_break_skip_b_60
	mov____$i32,%eax %0x-1
	leave
	ret
	jmp32  %__getopt_internal_60_break
:__getopt_internal_60_break
	mov____0x32,%eax &optind
	shl____$i8,%eax !0x2
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____(%eax),%eax
	add____$i8,%eax !0x1
	mov____0x8(%ebp),%ebx !0x14
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	test___%ebx,%ebx
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%bl
	movzbl_%bl,%ebx
	test___%ebx,%ebx
	je32   %__getopt_internal_115_and_skip_b
	test___%ebx,%ebx
	mov____$i32,%ebx %0x1
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	sete___%bl
	movzbl_%bl,%ebx
	test___%ebx,%ebx
:__getopt_internal_115_and_skip_b
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	jmp32  %__getopt_internal_20_break
:__getopt_internal_20_break
	mov____0x8(%ebp),%eax !0x14
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_143_break
	mov____$i32,%eax %0x0
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_143_break
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_143_break_b_167
	jmp32  %__getopt_internal_143_break_skip_b_167
:__getopt_internal_143_break_b_167
	mov____0x8(%ebp),%eax !0x1c
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_143_break
:__getopt_internal_143_break_skip_b_167
	mov____0x32,%eax &nextchar
	mov____%eax,0x8(%ebp) !0x-c
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-10
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-14
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-18
	jmp32  %__getopt_internal_198_continue
:__getopt_internal_198_loop
	mov____0x8(%ebp),%eax !0x-c
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-c
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
:__getopt_internal_198_continue
	mov____0x8(%ebp),%eax !0x-c
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %__getopt_internal_198_break
	mov____0x8(%ebp),%eax !0x-c
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3d
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_198_break
	jmp32  %__getopt_internal_198_loop
:__getopt_internal_198_break
	mov____0x8(%ebp),%eax !0x14
	mov____%eax,0x8(%ebp) !0x-8
	mov____$i32,%eax %0x0
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	jmp32  %__getopt_internal_223_initial_skip
:__getopt_internal_223_loop
	mov____0x8(%ebp),%ebx !0x-c
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &nextchar
	sub____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	push___%eax
	mov____%ebx,%eax
	mov____$i32,%ebx %0x1
	xor____%edx,%edx
	div___%ebx
	mov____%eax,%ebx
	pop____%eax
	push___%ebx
	mov____0x32,%ebx &nextchar
	push___%ebx
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-8
	mov____(%ebx),%ebx
	add____$i8,%ebx !0x0
	mov____(%ebx),%ebx
	push___%ebx
	call32 %strncmp
	add____$i8,%esp !0xc
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_230_break
	mov____0x8(%ebp),%eax !0x-c
	mov____0x32,%ebx &nextchar
	sub____%ebx,%eax
	mov____$i32,%ebx %0x1
	xor____%edx,%edx
	div___%ebx
	push___%eax
	push___%eax
	mov____%ebx,%eax
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-8
	mov____(%ebx),%ebx
	add____$i8,%ebx !0x0
	mov____(%ebx),%ebx
	push___%ebx
	mov____%eax,%ebx
	pop____%eax
	xchg___%eax,(%esp)
	call32 %strlen
	add____$i8,%esp !0x4
	mov____%eax,%ebx
	pop____%eax
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_252_else
	mov____0x8(%ebp),%eax !0x-8
	mov____%eax,0x8(%ebp) !0x-18
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	mov____%eax,0x8(%ebp) !0x-1c
	test___%eax,%eax
	mov____$i32,%eax %0x1
	mov____%eax,0x8(%ebp) !0x-10
	test___%eax,%eax
	jmp32  %__getopt_internal_223_break
	jmp32  %__getopt_internal_252_break
:__getopt_internal_252_else
	mov____0x8(%ebp),%eax !0x-18
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_284_else
	mov____0x8(%ebp),%eax !0x-8
	mov____%eax,0x8(%ebp) !0x-18
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-4
	mov____%eax,0x8(%ebp) !0x-1c
	test___%eax,%eax
	jmp32  %__getopt_internal_284_break
:__getopt_internal_284_else
	mov____$i32,%eax %0x1
	mov____%eax,0x8(%ebp) !0x-14
	test___%eax,%eax
:__getopt_internal_284_break
:__getopt_internal_252_break
	jmp32  %__getopt_internal_230_break
:__getopt_internal_230_break
:__getopt_internal_223_continue
	mov____0x8(%ebp),%eax !0x-8
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-8
	add____$i8,(%ebx) !0x10
	mov____0x8(%ebp),%eax !0x-4
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-4
	add____$i8,(%ebx) !0x1
:__getopt_internal_223_initial_skip
	mov____%ebp,%eax
	add____$i8,%eax !0x-8
	mov____(%eax),%eax
	add____$i8,%eax !0x0
	mov____(%eax),%eax
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_223_break
	jmp32  %__getopt_internal_223_loop
:__getopt_internal_223_break
	mov____0x8(%ebp),%eax !0x-14
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_322_break
	mov____0x8(%ebp),%eax !0x-10
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_322_break
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_332_break
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_0
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_332_break
:__getopt_internal_332_break
	mov____0x32,%ebx &nextchar
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____0x32,%ebx &nextchar
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____$i32,%eax %0x3f
	leave
	ret
	jmp32  %__getopt_internal_322_break
:__getopt_internal_322_break
	mov____0x8(%ebp),%eax !0x-18
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_375_break
	mov____0x8(%ebp),%eax !0x-1c
	mov____%eax,0x8(%ebp) !0x-4
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x-c
	movzbl_(%eax),%eax
	movsbl_%al,%eax
					# jmp test LABEL
	test___%eax,%eax
	test___%al,%al
	je32   %__getopt_internal_390_else
	mov____%ebp,%eax
	add____$i8,%eax !0x-18
	mov____(%eax),%eax
	add____$i8,%eax !0x4
	mov____(%eax),%eax
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_396_else
	mov____0x8(%ebp),%eax !0x-c
	add____$i8,%eax !0x1
	mov____%eax,0x32 &optarg
	test___%eax,%eax
	jmp32  %__getopt_internal_396_break
:__getopt_internal_396_else
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_409_break
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &optind
	add____$i8,%ebx !0x-1
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_413_else
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-18
	mov____(%ebx),%ebx
	add____$i8,%ebx !0x0
	mov____(%ebx),%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_1
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_413_break
:__getopt_internal_413_else
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-18
	mov____(%ebx),%ebx
	add____$i8,%ebx !0x0
	mov____(%ebx),%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &optind
	add____$i8,%ebx !0x-1
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_2
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x14
	test___%eax,%eax
:__getopt_internal_413_break
	jmp32  %__getopt_internal_409_break
:__getopt_internal_409_break
	mov____0x32,%ebx &nextchar
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____0x32,%ebx &nextchar
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	mov____$i32,%eax %0x3f
	leave
	ret
:__getopt_internal_396_break
	jmp32  %__getopt_internal_390_break
:__getopt_internal_390_else
	mov____%ebp,%eax
	add____$i8,%eax !0x-18
	mov____(%eax),%eax
	add____$i8,%eax !0x4
	mov____(%eax),%eax
	mov____$i32,%ebx %0x1
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_499_break
	mov____0x32,%eax &optind
	mov____0x8(%ebp),%ebx !0x8
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_508_else
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	shl____$i8,%eax !0x2
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____(%eax),%eax
	mov____%eax,0x32 &optarg
	test___%eax,%eax
	jmp32  %__getopt_internal_508_break
:__getopt_internal_508_else
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_526_break
	mov____0x32,%ebx &optind
	add____$i8,%ebx !0x-1
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_3
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_526_break
:__getopt_internal_526_break
	mov____0x32,%ebx &nextchar
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____0x32,%ebx &nextchar
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	mov____$i32,%eax %0x3f
	leave
	ret
:__getopt_internal_508_break
	jmp32  %__getopt_internal_499_break
:__getopt_internal_499_break
:__getopt_internal_390_break
	mov____0x32,%ebx &nextchar
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____0x32,%ebx &nextchar
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	mov____0x8(%ebp),%eax !0x18
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_576_break
	mov____0x8(%ebp),%eax !0x-4
	mov____0x8(%ebp),%ebx !0x18
	mov____%eax,(%ebx)
	test___%eax,%eax
	jmp32  %__getopt_internal_576_break
:__getopt_internal_576_break
	mov____%ebp,%eax
	add____$i8,%eax !0x-18
	mov____(%eax),%eax
	add____$i8,%eax !0x8
	mov____(%eax),%eax
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_590_break
	mov____%ebp,%eax
	add____$i8,%eax !0x-18
	mov____(%eax),%eax
	add____$i8,%eax !0xc
	mov____(%eax),%eax
	mov____%ebp,%ebx
	add____$i8,%ebx !0x-18
	mov____(%ebx),%ebx
	add____$i8,%ebx !0x8
	mov____(%ebx),%ebx
	mov____%eax,(%ebx)
	test___%eax,%eax
	mov____$i32,%eax %0x0
	leave
	ret
	jmp32  %__getopt_internal_590_break
:__getopt_internal_590_break
	mov____%ebp,%eax
	add____$i8,%eax !0x-18
	mov____(%eax),%eax
	add____$i8,%eax !0xc
	mov____(%eax),%eax
	leave
	ret
	jmp32  %__getopt_internal_375_break
:__getopt_internal_375_break
	mov____0x8(%ebp),%eax !0x1c
	test___%eax,%eax
	sete___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_618_break_b_618_b_618
	jmp32  %__getopt_internal_618_break_b_618_skip_b_618
:__getopt_internal_618_break_b_618_b_618
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_618_break_b_618
:__getopt_internal_618_break_b_618_skip_b_618
	jmp32  %__getopt_internal_618_break_skip_b_618
:__getopt_internal_618_break_b_618
	mov____0x32,%ebx &nextchar
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	call32 %strchr
	add____$i8,%esp !0x8
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_618_break
:__getopt_internal_618_break_skip_b_618
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_658_break
	mov____$i32,%eax %0x1
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x2d
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_662_else
	mov____0x32,%ebx &nextchar
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_4
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_662_break
:__getopt_internal_662_else
	mov____0x32,%ebx &nextchar
	push___%ebx
	mov____$i32,%ebx %0x0
	push___%eax
	mov____%ebx,%eax
	mov____0x32,%ebx &optind
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	movzbl_(%ebx),%ebx
	movsbl_%bl,%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_5
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x14
	test___%eax,%eax
:__getopt_internal_662_break
	jmp32  %__getopt_internal_658_break
:__getopt_internal_658_break
	mov____0x32,%ebx &nextchar
	push___%ebx
	call32 %strlen
	add____$i8,%esp !0x4
	mov____0x32,%ebx &nextchar
	xchg___%eax,%ebx
	add____%ebx,%eax
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	mov____$i32,%eax %0x3f
	leave
	ret
	jmp32  %__getopt_internal_618_break
:__getopt_internal_618_break
	jmp32  %__getopt_internal_143_break
:__getopt_internal_143_break
	mov____0x32,%eax &nextchar
	mov____$i32,%ebx &nextchar
	add____$i8,(%ebx) !0x1
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____%al,0x8(%ebp) !0x-8
	mov____0x8(%ebp),%ebx !0x-8
	movsbl_%bl,%ebx
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	call32 %strchr
	add____$i8,%esp !0x8
	mov____%eax,0x8(%ebp) !0x-c
	mov____0x32,%eax &nextchar
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_758_break
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	jmp32  %__getopt_internal_758_break
:__getopt_internal_758_break
	mov____0x8(%ebp),%eax !0x-c
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_772_break_b_772
	jmp32  %__getopt_internal_772_break_skip_b_772
:__getopt_internal_772_break_b_772
	mov____0x8(%ebp),%eax !0x-8
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3a
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_772_break
:__getopt_internal_772_break_skip_b_772
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_788_break
	mov____0x8(%ebp),%eax !0x-8
	movsbl_%al,%eax
	mov____$i32,%ebx %0x20
	sub____%ebx,%eax
	setl___%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_792_else_b_792
	jmp32  %__getopt_internal_792_else_skip_b_792
:__getopt_internal_792_else_b_792
	mov____0x8(%ebp),%eax !0x-8
	movsbl_%al,%eax
	mov____$i32,%ebx %0x7f
	sub____%ebx,%eax
	setge__%al
	movzbl_%al,%eax
	test___%eax,%eax
					# jmp test LABEL
	je32   %__getopt_internal_792_else
:__getopt_internal_792_else_skip_b_792
	mov____0x8(%ebp),%ebx !0x-8
	movsbl_%bl,%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_6
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_792_break
:__getopt_internal_792_else
	mov____0x8(%ebp),%ebx !0x-8
	movsbl_%bl,%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_7
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
:__getopt_internal_792_break
	jmp32  %__getopt_internal_788_break
:__getopt_internal_788_break
	mov____$i32,%eax %0x3f
	leave
	ret
	jmp32  %__getopt_internal_772_break
:__getopt_internal_772_break
	mov____$i32,%eax %0x1
	mov____0x8(%ebp),%ebx !0x-c
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3a
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_852_break
	mov____$i32,%eax %0x2
	mov____0x8(%ebp),%ebx !0x-c
	add____%ebx,%eax
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x3a
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_862_else
	mov____0x32,%eax &nextchar
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_872_else
	mov____0x32,%eax &nextchar
	mov____%eax,0x32 &optarg
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	jmp32  %__getopt_internal_872_break
:__getopt_internal_872_else
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &optarg
	test___%eax,%eax
:__getopt_internal_872_break
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
	jmp32  %__getopt_internal_862_break
:__getopt_internal_862_else
	mov____0x32,%eax &nextchar
	movzbl_(%eax),%eax
	movsbl_%al,%eax
	mov____$i32,%ebx %0x0
	sub____%ebx,%eax
	test___%eax,%eax
	lahf
	xor____$i8,%ah !0x40
	sahf
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_900_else
	mov____0x32,%eax &nextchar
	mov____%eax,0x32 &optarg
	test___%eax,%eax
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	test___%eax,%eax
	jmp32  %__getopt_internal_900_break
:__getopt_internal_900_else
	mov____0x32,%eax &optind
	mov____0x8(%ebp),%ebx !0x8
	sub____%ebx,%eax
	sete___%al
	movzbl_%al,%eax
					# jmp test LABEL
	jne32  %__getopt_internal_919_else
	mov____0x32,%eax &opterr
					# jmp test LABEL
	test___%eax,%eax
	je32   %__getopt_internal_925_break
	mov____0x8(%ebp),%ebx !0x-8
	movsbl_%bl,%ebx
	push___%ebx
	mov____$i32,%ebx %0x0
	shl____$i8,%ebx !0x2
	push___%eax
	mov____%ebx,%eax
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____%eax,%ebx
	pop____%eax
	mov____(%ebx),%ebx
	push___%ebx
	push___$i32 &_string_lib/x86-mes/libgetopt.S_8
	mov____$i32,%ebx %0x2
	push___%ebx
	call32 %fprintf
	add____$i8,%esp !0x10
	test___%eax,%eax
	jmp32  %__getopt_internal_925_break
:__getopt_internal_925_break
	mov____$i32,%eax %0x3f
	mov____%eax,0x8(%ebp) !0x-8
	test___%eax,%eax
	jmp32  %__getopt_internal_919_break
:__getopt_internal_919_else
	mov____0x32,%eax &optind
	mov____$i32,%ebx &optind
	add____$i8,(%ebx) !0x1
	shl____$i8,%eax !0x2
	mov____0x8(%ebp),%ebx !0xc
	add____%ebx,%eax
	mov____(%eax),%eax
	mov____%eax,0x32 &optarg
	test___%eax,%eax
:__getopt_internal_919_break
:__getopt_internal_900_break
	mov____$i32,%eax %0x0
	mov____%eax,0x32 &nextchar
	test___%eax,%eax
:__getopt_internal_862_break
	jmp32  %__getopt_internal_852_break
:__getopt_internal_852_break
	mov____0x8(%ebp),%eax !0x-8
	movsbl_%al,%eax
	leave
	ret


:getopt
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_getopt_internal
	add____$i8,%esp !0x18
	leave
	ret


:getopt_long
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x0
	push___%ebx
	mov____0x8(%ebp),%ebx !0x18
	push___%ebx
	mov____0x8(%ebp),%ebx !0x14
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_getopt_internal
	add____$i8,%esp !0x18
	leave
	ret


:getopt_long_only
	push___%ebp
	mov____%esp,%ebp
	sub____$i32,%esp %0x1054
	mov____$i32,%ebx %0x1
	push___%ebx
	mov____0x8(%ebp),%ebx !0x18
	push___%ebx
	mov____0x8(%ebp),%ebx !0x14
	push___%ebx
	mov____0x8(%ebp),%ebx !0x10
	push___%ebx
	mov____0x8(%ebp),%ebx !0xc
	push___%ebx
	mov____0x8(%ebp),%ebx !0x8
	push___%ebx
	call32 %_getopt_internal
	add____$i8,%esp !0x18
	leave
	ret

:environ
!0x00 !0x00 !0x00 !0x00

:g_stdin
!0x00 !0x00 !0x00 !0x00

:g_stdout
!0x00 !0x00 !0x00 !0x00

:optarg
!0x00 !0x00 !0x00 !0x00

:optind
!0x00 !0x00 !0x00 !0x00

:opterr
!0x00 !0x00 !0x00 !0x00

:optarg
!0x00 !0x00 !0x00 !0x00

:optind
!0x00 !0x00 !0x00 !0x00

:nextchar
!0x00 !0x00 !0x00 !0x00

:opterr
!0x01 !0x00 !0x00 !0x00

:first_nonopt
!0x00 !0x00 !0x00 !0x00

:last_nonopt
!0x00 !0x00 !0x00 !0x00

:_string_lib/x86-mes/libgetopt.S_0
"%s: option `%s' is ambiguous
"

:_string_lib/x86-mes/libgetopt.S_1
"%s: option `--%s' doesn't allow an argument
"

:_string_lib/x86-mes/libgetopt.S_2
"%s: option `%c%s' doesn't allow an argument
"

:_string_lib/x86-mes/libgetopt.S_3
"%s: option `%s' requires an argument
"

:_string_lib/x86-mes/libgetopt.S_4
"%s: unrecognized option `--%s'
"

:_string_lib/x86-mes/libgetopt.S_5
"%s: unrecognized option `%c%s'
"

:_string_lib/x86-mes/libgetopt.S_6
"%s: unrecognized option, character code 0%o
"

:_string_lib/x86-mes/libgetopt.S_7
"%s: unrecognized option `-%c'
"

:_string_lib/x86-mes/libgetopt.S_8
"%s: option `-%c' requires an argument
"
